<?php  namespace  App\Http\Requests\Api\Login;

use App\Http\Requests\BaseRequest;

/**
 * 管理后台登录验证
 * @author  liuxaingxin
 *
 * */
class Phone extends BaseRequest{

    /**
     *
     * @return  array
     */
    public  function  rules(){
        return [
            'phone'     =>  'required',
            'code'      =>  'required|check_code',
        ];
    }

    // 场景列表
    protected   $scenes         = [
		'login'  		        => ['phone','code'],
	];

    /**
     *
     * @return  array
     */
    public  function  messages(){
        return [
            'phone.required'  =>  '请输入登录账号',
            'code.required'   =>  '请输入登录验证码',
        ];
    }

}
